VERSION 5.00
Begin VB.Form frmInfo 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Information for you"
   ClientHeight    =   7170
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7875
   Icon            =   "INFO System.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   7170
   ScaleWidth      =   7875
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picBanner 
      Align           =   1  'Align Top
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   615
      Left            =   0
      MouseIcon       =   "INFO System.frx":0442
      MousePointer    =   99  'Custom
      Picture         =   "INFO System.frx":0884
      ScaleHeight     =   615
      ScaleWidth      =   7875
      TabIndex        =   12
      Top             =   0
      Width           =   7875
   End
   Begin VB.Frame fraDrives 
      Caption         =   "Drives"
      Height          =   2175
      Left            =   120
      TabIndex        =   10
      Top             =   4920
      Width           =   7695
      Begin VB.ListBox lstDrives 
         Height          =   1815
         Left            =   120
         TabIndex        =   11
         Top             =   240
         Width           =   7455
      End
   End
   Begin VB.Frame fraMem 
      Caption         =   "Memory"
      Height          =   855
      Left            =   4320
      TabIndex        =   8
      Top             =   1680
      Width           =   3495
      Begin VB.Image Image1 
         Height          =   480
         Left            =   2880
         Picture         =   "INFO System.frx":18AD
         Top             =   120
         Width           =   480
      End
      Begin VB.Label lblMem 
         Caption         =   "* Memory"
         Height          =   495
         Left            =   120
         TabIndex        =   9
         Top             =   240
         Width           =   3255
      End
   End
   Begin VB.Frame fraWinVer 
      Caption         =   "Windows Version"
      Height          =   855
      Left            =   120
      TabIndex        =   6
      Top             =   720
      Width           =   4095
      Begin VB.Image imgWinVer 
         Height          =   720
         Left            =   3240
         Picture         =   "INFO System.frx":404F
         Top             =   120
         Width           =   720
      End
      Begin VB.Label lblWinVer 
         Caption         =   "* Windows Version"
         Height          =   495
         Left            =   120
         TabIndex        =   7
         Top             =   240
         Width           =   3855
      End
   End
   Begin VB.Frame fraColors 
      Caption         =   "System Colors"
      Height          =   2175
      Left            =   120
      TabIndex        =   4
      Top             =   2640
      Width           =   7695
      Begin VB.Label lblColor 
         BackColor       =   &H00000000&
         BorderStyle     =   1  'Fixed Single
         Caption         =   "* Color 1"
         ForeColor       =   &H00FFFFFF&
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   5
         Top             =   240
         Width           =   2415
      End
   End
   Begin VB.Frame fraNetwork 
      Caption         =   "Network"
      Height          =   855
      Left            =   120
      TabIndex        =   2
      Top             =   1680
      Width           =   4095
      Begin VB.Image imgLogon 
         Height          =   480
         Left            =   3480
         Picture         =   "INFO System.frx":4F19
         Top             =   240
         Width           =   480
      End
      Begin VB.Label lblNetwork 
         Caption         =   "* Network"
         Height          =   495
         Left            =   120
         TabIndex        =   3
         Top             =   240
         Width           =   3855
      End
   End
   Begin VB.Frame fraSys 
      Caption         =   "System"
      Height          =   855
      Left            =   4320
      TabIndex        =   0
      Top             =   720
      Width           =   3495
      Begin VB.Image imgRAM 
         Height          =   480
         Left            =   2880
         Picture         =   "INFO System.frx":5223
         Top             =   240
         Width           =   480
      End
      Begin VB.Label lblSys 
         Caption         =   "* System"
         Height          =   495
         Left            =   120
         TabIndex        =   1
         Top             =   240
         Width           =   3255
      End
   End
End
Attribute VB_Name = "frmInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'==================================================================
'
' System Information Dialog
'
' 29 September 2001
'
' You're free in using this software, as long as the
' orignal copyright/author information remains intact.
' In other words, respecting the person(s) who made it
' possible for you to view/learn something of this software.
'
' Copyright  2001 - Diederik van der Boor
' http://www.codingdomain.com
'
'==================================================================



'------------------------------------------------------------------
' API Declaration to set tab stops in listview window

Private Const LB_SETTABSTOPS = &H192
Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long


'------------------------------------------------------------------
' Initialize: Get the information

Private Sub Form_Initialize()
  Dim SysInfo As New SystemInfo
  Dim MemInfo As New MemoryInfo
  
  Dim WinInfo As New WinVersionInfo
  If Err.Number Then MsgBox Err.Description, vbExclamation + vbMsgBoxSetForeground, "API Call: " & Err.Source: Err.Clear
  
  Dim IeInfo As New IEVersionInfo
  If Err.Number Then MsgBox Err.Description, vbExclamation + vbMsgBoxSetForeground, "API Call: " & Err.Source: Err.Clear
  
  Dim NetInfo As New NetworkInfo
  If Err.Number Then MsgBox Err.Description, vbExclamation + vbMsgBoxSetForeground, "API Call: " & Err.Source: Err.Clear
  
  On Error Resume Next
    lblWinVer.Caption = WinInfo.Platform & " " & WinInfo.Major & "." & WinInfo.Minor & "." & WinInfo.Revision1 & "." & WinInfo.Revision2 & IIf(Len(WinInfo.Build), " " & WinInfo.Build, "") & vbCrLf
    If IeInfo.Major <> 0 Then lblWinVer.Caption = lblWinVer.Caption & "Internet Explorer " & IeInfo.Major & "." & IeInfo.Minor & "." & IeInfo.Revision
    
    lblNetwork.Caption = "Computer: " & NetInfo.ComputerName
    lblNetwork.Caption = lblNetwork.Caption & vbCrLf & "User Name: " & NetInfo.UserName
    If Err.Number Then MsgBox Err.Description, vbExclamation + vbMsgBoxSetForeground, "API Call: " & Err.Source: Err.Clear
    
    lblSys.Caption = "CPU: " & SysInfo.CPU
    lblSys.Caption = lblSys.Caption & vbCrLf & "Processors: " & SysInfo.CPUCount
    lblMem.Caption = "Total Installed RAM: " & CByteSize(MemInfo.TotalPhysMemory)
    lblMem.Caption = lblMem.Caption & vbCrLf & "Free Physical RAM: " & CByteSize(MemInfo.AlvailablePhysMemory)
    
    lblColor(0).BackColor = SysInfo.SystemColor(COLOR_ACTIVEBORDER)
    lblColor(0).Caption = "Active Border"
    
    Call LoadColor(SysInfo.SystemColor(COLOR_ACTIVECAPTION), "Active Caption")
    Call LoadColor(SysInfo.SystemColor(COLOR_APPWORKSPACE), "Application Workspace")
    Call LoadColor(SysInfo.SystemColor(COLOR_BACKGROUND), "Background")
    Call LoadColor(SysInfo.SystemColor(COLOR_BTNFACE), "Button Face")
    Call LoadColor(SysInfo.SystemColor(COLOR_BTNHIGHLIGHT), "Button Highlight")
    Call LoadColor(SysInfo.SystemColor(COLOR_BTNSHADOW), "Button Shadow")
    Call LoadColor(SysInfo.SystemColor(COLOR_BTNTEXT), "Button Text")
    Call LoadColor(SysInfo.SystemColor(COLOR_CAPTIONTEXT), "Caption Text")
    Call LoadColor(SysInfo.SystemColor(COLOR_GRAYTEXT), "Grayed Text")
    Call LoadColor(SysInfo.SystemColor(COLOR_HIGHLIGHT), "Highlight")
    Call LoadColor(SysInfo.SystemColor(COLOR_HIGHLIGHTTEXT), "Highlighted Text")
    Call LoadColor(SysInfo.SystemColor(COLOR_INACTIVEBORDER), "Inactive Border")
    Call LoadColor(SysInfo.SystemColor(COLOR_INACTIVECAPTION), "Inactive Caption")
    Call LoadColor(SysInfo.SystemColor(COLOR_INACTIVECAPTIONTEXT), "Inactive Caption Text")
    Call LoadColor(SysInfo.SystemColor(COLOR_MENU), "Menu")
    Call LoadColor(SysInfo.SystemColor(COLOR_MENUTEXT), "Menu Text")
    Call LoadColor(SysInfo.SystemColor(COLOR_SCROLLBAR), "ScrollBar")
    Call LoadColor(SysInfo.SystemColor(COLOR_WINDOW), "Window")
    Call LoadColor(SysInfo.SystemColor(COLOR_WINDOWFRAME), "Window Frame")
    Call LoadColor(SysInfo.SystemColor(COLOR_WINDOWTEXT), "Window Text")
    
    Me.Show
    Call LoadDrives(Me.lstDrives)
    If Err.Number Then MsgBox Err.Description, vbExclamation + vbMsgBoxSetForeground, "API Call: " & Err.Source: Err.Clear
  On Error GoTo 0
End Sub


'------------------------------------------------------------------
' Load the drives into the listbox

Private Sub LoadDrives(ListBox As ListBox)
  Dim I As Byte
  Dim DType As String
  Dim LBTab(1 To 5) As Long
  Dim DriveInfo As New DriveInfo
  
  ' TabStops
  LBTab(1) = 1
  LBTab(2) = 30
  LBTab(3) = 110
  LBTab(4) = 180
  LBTab(5) = 80
  Call SendMessage(ListBox.hWnd, LB_SETTABSTOPS, UBound(LBTab), LBTab(1))
  ListBox.AddItem "Drive" & vbTab & "Type" & vbTab & "Serial" & vbTab & "FileSystem" & vbTab & "VolumeName"
  DoEvents
  
  For I = 1 To 26
    DriveInfo.Drive = Chr(I + 64) & ":\"
    If DriveInfo.Exists Then
      DType = Choose(DriveInfo.DriveType - 1, "Removable", "Fixed", "Remote", "CD-Rom", "RAM Disk")
      If DriveInfo.Available Then
        Call ListBox.AddItem(DriveInfo.Drive _
            & vbTab & DType _
            & vbTab & DriveInfo.Serial _
            & vbTab & DriveInfo.FileSystem _
            & vbTab & DriveInfo.VolumeName)
      Else
        Call ListBox.AddItem(DriveInfo.Drive & vbTab & DType)
      End If
    End If
  Next
End Sub


'------------------------------------------------------------------
' Load a color

Private Sub LoadColor(Color As Long, Name As String)
  Dim I As Integer
  
  I = lblColor.Count
  Load lblColor(I)
  
  lblColor(I).Caption = Name
  lblColor(I).BackColor = Color
  lblColor(I).Left = lblColor(I - 1).Left
  lblColor(I).Top = lblColor(I - 1).Top + lblColor(I - 1).Height + 10
  
  If lblColor(I).Top + lblColor(I).Height > fraColors.Height Then
    lblColor(I).Top = lblColor(0).Top
    If lblColor(I - 1).Top < lblColor(I).Top Then
      lblColor(I).Left = lblColor(I - 1).Left
    Else
      lblColor(I).Left = lblColor(I - 1).Left + lblColor(I - 1).Width + 100
    End If
  End If
  
  If lblColor(I).BackColor > RGB(200, 200, 200) Then
    lblColor(I).ForeColor = vbBlack
  End If
  
  lblColor(I).Visible = True
End Sub


'------------------------------------------------------------------
' Convert Byte Size

Private Function CByteSize(ByVal ByteSize As Long) As String
  Dim Size(0 To 3) As String
  Dim I As Byte
  Size(0) = "B"
  Size(1) = "KB"
  Size(2) = "MB"
  Size(3) = "TB"
  
  For I = 0 To 4
    If ByteSize / 1024 > 1 And I < 4 Then
      ByteSize = ByteSize / 1024
    Else
      CByteSize = Format(ByteSize, "###,###,###,###,##0") & " " & Size(I)
      Exit For
    End If
  Next
End Function



'------------------------------------------------------------------
' Banner

Private Sub picBanner_Click()
  MsgBox "Copyright  2001 - Diederik van der Boor" & vbCrLf _
       & vbCrLf _
       & "Anyone is allowed to use this software freely, as long as" & vbCrLf _
       & "the the copright information in the source code remains intact." & vbCrLf _
       & vbCrLf _
       & "http://www.codingdomain.com"
End Sub

